Bug 1694065 (CVE-2019-0161) - CVE-2019-0161 edk2: stack overflow in XHCI causing denial of service
Summary: CVE-2019-0161 edk2: stack overflow in XHCI causing denial of service
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-0161
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1694086 1697533 1694085 1697534 1717250
Blocks: 1694083
TreeView+ depends on / blocked
 
Reported: 2019-03-29 12:21 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:10 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:22:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2125 None None None 2019-08-06 12:18:38 UTC
TianoCore 973 None None None 2019-07-23 19:09:08 UTC
Red Hat Product Errata RHSA-2019:2437 None None None 2019-08-12 11:54:22 UTC

Description Dhananjay Arunesh 2019-03-29 12:21:34 UTC
Stack overflow in XHCI for EDK II may allow an unauthenticated user to potentially enable denial of service via local access.


Reference:
https://edk2-docs.gitbooks.io/security-advisory/content/xhci-stack-local-stack-overflow.html

Upstream commits:
https://github.com/tianocore/edk2/commit/acebdf14c985c5c9f50b37ece0b15ada87767359
https://github.com/tianocore/edk2/commit/72750e3bf9174f15c17e78f0f117b5e7311bb49f

Comment 2 Dhananjay Arunesh 2019-03-29 13:34:56 UTC
Created edk2 tracking bugs for this issue:

Affects: fedora-all [bug 1694085]

Comment 3 Dhananjay Arunesh 2019-03-29 13:35:49 UTC
Created edk2 tracking bugs for this issue:

Affects: epel-all [bug 1694086]

Comment 4 Riccardo Schirone 2019-04-01 18:01:09 UTC
Upstream issue:
https://bugzilla.tianocore.org/show_bug.cgi?id=973

Comment 10 errata-xmlrpc 2019-08-06 12:18:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2125 https://access.redhat.com/errata/RHSA-2019:2125

Comment 11 Product Security DevOps Team 2019-08-06 13:22:22 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-0161

Comment 12 errata-xmlrpc 2019-08-12 11:54:20 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7

Via RHSA-2019:2437 https://access.redhat.com/errata/RHSA-2019:2437


Note You need to log in before you can comment on or make changes to this bug.